﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace XamTimelineTitleToolTip
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Data = new ObservableCollection<Data>();
            Random r = new Random();

            for (int i = 0; i < 5; i++)
            {
                Data.Add(new Data
                {
                    Title = "Data " + i,
                    Details = "Data Details " + r.Next(100000),
                    Time = DateTime.Now.AddDays(r.Next(100) + 10),
                    Duration = new TimeSpan(r.Next(1, 5), 0, 0, 0)
                });


            }


            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }
    }

    public class Data : INotifyPropertyChanged
    {
        private DateTime time;

        public DateTime Time
        {
            get { return time; }
            set { time = value; PropChanged("Time"); }
        }

        private TimeSpan dur;

        public TimeSpan Duration
        {
            get { return dur; }
            set { dur = value; PropChanged("Duration"); }
        }


        private string title;

        public string Title
        {
            get { return title; }
            set { title = value; PropChanged("Title"); }
        }


        private string dec;

        public string Details
        {
            get { return dec; }
            set { dec = value; PropChanged("Details"); }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
